START TRANSACTION;

CREATE TABLE `app_text` (
	`text_id` INT(13) NOT NULL AUTO_INCREMENT,
	`text_key` MEDIUMTEXT NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
	`screenshot_url` CHAR(200) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
	`checked` TINYINT(1) NULL DEFAULT '0',
	PRIMARY KEY (`text_id`) USING BTREE
)
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;

CREATE TABLE `app_text_translation` (
	`translation_id` INT(13) NOT NULL AUTO_INCREMENT,
	`text_id` INT(11) NOT NULL,
	`language_code` CHAR(2) NOT NULL DEFAULT 'en' COLLATE 'utf8mb4_general_ci',
	`translation` MEDIUMTEXT NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
	PRIMARY KEY (`translation_id`) USING BTREE
)
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;

UPDATE configuration set config_value = "1.0.50", date_change=CURRENT_DATE WHERE config_key = "db_version";

COMMIT;
