package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.RecipeMeal
import org.springframework.data.jpa.repository.JpaRepository

interface RecipeMealRepository : JpaRepository<RecipeMeal, Int> {

    fun findByMealId(mealId: Long): List<RecipeMeal>?
}
